tigase.jaxmpp.core.client.xmpp.modules.presence

## Interface PresenceModule.BeforePresenceSendHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PresenceModule

      public static interface PresenceModule.BeforePresenceSendHandler
      extends EventHandler

  Event fired before each presence sent by client.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PresenceModule.BeforePresenceSendHandler.BeforePresenceSendEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBeforePresenceSend(SessionObject sessionObject, Presence presence)`

- - ### Method Detail

    - #### onBeforePresenceSend

          void onBeforePresenceSend(SessionObject sessionObject,
                                    Presence presence)
                             throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.